Add attachment (extra document)
Add extra document
POST https://api.zapsign.com.br/api/v1/docs/{{original_doc_token}}/upload-extra-doc/
This endpoint allows you to add attachments to your original document. Its possible to add up to 14 extra docs (one at a time, therefore, one request for each attachment), counting the original doc your signer will be able to sign 15 documents at once.
Headers
Authorization*
string
apiToken ahead of the "Bearer" text.
Ex: Bearer c7f35c84-7893-4087-b4fb-d1f06c23
Request Body
name
string
Title of the document. String of up to 255 characters
url_pdf
string
Define the PDF to be signed from a public URL with the file. For now, we only accept one file in PDF format, up to 10Mb.
base64_pdf
string
Alternative to url_pdf: Set the PDF to be signed, starting from a base64. You must convert the file to a base64 string and send it to us in this parameter (more details below).
Ex:
{
... "base64_pdf":"JVBERi0xLjcNCiWhs8XXDQoxIDA...",
}
{
"open_id": 17,
// use this token in case you want to place signatures in this attachmentSSS
"token": "50c7d90e-ead6-46b5-99d6-33d2d3b9a31f",
"name": "Anexo ao Contrato de Admissão João",
"original_file": "https://zapsign.s3.amazonaws.com/aaa/48025712-b429-4216-8a33-d90c575d0b7f/0e2d0a87-a0f6-4a49-a05f-7a439fd7308e.pdf",
"signed_file": null
},There is no other parameter to be sent in this request because they will be inherited from the original document.
Request
Response
Frequently asked questions
Whats an attachment/extra document?
In case you use our web platform, you will notice that is possible to upload multiple PDFs at once to be signed by the same signers:

That way, when the signer is going to sign the document, she will be see all of them, to sign at once:

The original document will be the number 1 and the attachments will appear to the signer as the documents number 2,3, etc. Doing a GET request on the original document, the attachments will be on the "extra_docs" paramenter.
Can i place signatures on an attachment? Yes! Just send yout attachment token on the endpoint for placing signatures
I've added attachment by mistake. Can i delete it? No. For now, it's impossible to remove attachments after added. You can delete de document and re-create it.
Last updated
Was this helpful?